# send_test_push

Send a test push notification to an app on the device.

Send a test push notification to an app on the device.

| | |
|---|---|
| REST operation | [`sendTestPush`](/reference/rest/device-extras/#sendtestpush) (`POST /v1/devices/{deviceId}/push`) |
| Needs a device | yes |
| Read only | no |
| Profiles | `testing`, `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `device_id` | yes | string | path `deviceId` | Stable device id such as `ios:00008120-001A2B3C4D5E6F70` or `android:R58M123ABC`. |
| `lease` | no | string | header `Silan-Lease` | Lease token when the device is claimed. |
| `app_id` | yes | string | body `appId` |  |
| `title` | no | string | body `title` |  |
| `body` | no | string | body `body` |  |
| `payload` | no | object | body `payload` | Raw APNs or FCM payload; overrides title and body. |

## Example call

```text
send_test_push({ device_id: "ios:00008120-001A2B3C4D5E6F70", app_id: … })
```